package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._HsRelatorio;

public class HsRelatorio extends _HsRelatorio {
	
	private static final long serialVersionUID = 1L;

	@Override
	public String getFuncionarios()
	{
		return parseFromUnicode( super.getFuncionarios() );
	}
	@Override
	public String getAcompanhante1()
	{
		return parseFromUnicode( super.getAcompanhante1() );
	}
	@Override
	public String getAcompanhante2()
	{
		return parseFromUnicode( super.getAcompanhante2() );
	}
	@Override
	public String getAcompanhante3()
	{
		return parseFromUnicode( super.getAcompanhante3() );
	}
	@Override
	public String getFuncaoAcompanhante1()
	{
		return parseFromUnicode( super.getFuncaoAcompanhante1() );
	}
	@Override
	public String getFuncaoAcompanhante2()
	{
		return parseFromUnicode( super.getFuncaoAcompanhante2() );
	}
	@Override
	public String getFuncaoAcompanhante3()
	{
		return parseFromUnicode( super.getFuncaoAcompanhante3() );
	}
	
	
	@Override
	public void setFuncionarios( String text )
	{
		super.setFuncionarios( parseToUnicode( text ) );
	}
	@Override
	public void setAcompanhante1( String nome )
	{
		super.setAcompanhante1( parseToUnicode( nome ) );
	}
	@Override
	public void setAcompanhante2( String nome )
	{
		super.setAcompanhante2( parseToUnicode( nome ) );
	}
	@Override
	public void setAcompanhante3( String nome )
	{
		super.setAcompanhante3( parseToUnicode( nome ) );
	}
	@Override
	public void setFuncaoAcompanhante1( String nome )
	{
		super.setFuncaoAcompanhante1( parseToUnicode( nome ) );
	}
	@Override
	public void setFuncaoAcompanhante2( String nome )
	{
		super.setFuncaoAcompanhante2( parseToUnicode( nome ) );
	}
	@Override
	public void setFuncaoAcompanhante3( String nome )
	{
		super.setFuncaoAcompanhante3( parseToUnicode( nome ) );
	}
	
	
}
